%define upstream_name    DateTime-Format-Flexible
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A module that try very hard to parse string into DateTime object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Builder) >= 0.740.0
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

# not autodetect, for some reason
Requires:   perl(Class::Factory::Util)
Requires:   perl(DateTime::Format::Strptime)
%description
If you have ever had to use a program that made you type in the date a
certain way and thought "Why can't the computer just figure out what date I
wanted?", this module is for you.

DateTime::Format::Flexible attempts to take any string you give it and
parse it into a DateTime object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README TODO example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Jan 04 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 190298
- update to 0.21

* Mon Sep 26 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 148053
- update to 0.20

* Mon Jan 24 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 37414
- mageia rebuild
- imported package perl-DateTime-Format-Flexible


* Sat Jan 08 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.190.0-1mdv2011.0
+ Revision: 630621
- update to new version 0.19

* Sun Jan 02 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.180.0-1mdv2011.0
+ Revision: 627501
- update to new version 0.18

* Mon Nov 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.170.0-1mdv2011.0
+ Revision: 595098
- update to new version 0.17

* Sat Aug 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2011.0
+ Revision: 573855
- adding missing buildrequires:
- update to 0.16

* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.150.0-3mdv2011.0
+ Revision: 543061
- fix Requires

* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.150.0-2mdv2010.1
+ Revision: 543037
- fix Requires

* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.150.0-1mdv2010.1
+ Revision: 542953
- fix BR, missing for test, 2nd
- fix BR, missing for test
- import perl-DateTime-Format-Flexible


* Thu May 06 2010 cpan2dist 0.15-1mdv
- initial mdv release, generated with cpan2dist
